﻿* {
    margin: 0;
    padding: 0;
    box-sizing: border-box
}

html, body {
    height: 100%;
    background: #E5E0DA;
    font-family: Verdana,sans-serif
}

body {
    margin: 5px
}

.container {
    max-width: 950px;
    margin: 0 auto;
    padding: 10px;
    --gap: 12px; /* зазор между меткой и контролом */
}


.pair_span {
    white-space: nowrap;
    font-weight: 300;
    font-size: 11pt;
    padding-top: 4px;
    font-family: Verdana;
    justify-self: left;
}

.pair_ddl {
    width: 100%;
    height: 35px;
    padding: 6px 10px;
    border: 1px solid #d9d9d9;
    border-radius: 8px;
    background: #fff;
    font-size: 13pt;
    line-height: 1.2;
    font-family: Verdana;
}

.pair_list {
    width: 100% !important;
    height: 200px !important;
    overflow-y: auto;
    padding: 10px 0;
    border: none;
    background: #fff;
    font-size: 12pt;
    font-family: Verdana;
    box-sizing: border-box;
    line-height: 2.8;
}

    .pair_list option {
        padding: 4px 0; /* Chrome иногда позволяет */
        height: 30px; /* ← Работает и в Chrome, и Firefox */
    }

.ok-btn {
    border-radius: 5px;
    font-size: 14pt;
    cursor: pointer;
    transition: background 0.3s;
    display: block;
    width: 100%;
    margin: 15px auto;
    padding: 5px;
    background: #583B1F;
    color: white;
    height: 40px;
    line-height: 1.2;
}

    .ok-btn:hover {
        background: #7f3e00;
    }

/* Окно */
.alarmBox {
    position: fixed;
    border: 2px solid #452C17;
    top: 40%;
    left: 50%;
    transform: translate(-50%, -50%);
    min-width: 300px;
    max-width: 500px;
    background-color: #fff;
    color: #333;
    border-radius: 8px;
    padding: 20px 25px;
    z-index: 9999;
    font-family: "Verdana", "Segoe UI", sans-serif;
    font-size: 20px;
    box-shadow: 0 4px 15px rgba(0,0,0,0.5);
    display: none;
    text-align: center;
}

    /* Заголовки по типу */
    .alarmBox.info {
        border-top: 6px solid rgb(181,177,192);
    }

    .alarmBox.warning {
        border-top: 6px solid #ff9800;
    }

    .alarmBox.error {
        border-top: 6px solid #f44336;
    }

    /* Кнопка */
    .alarmBox button {
        margin-top: 20px;
        padding: 8px 20px;
        border: none;
        border-radius: 5px;
        background: #7e6280;
        color: white;
        cursor: pointer;
        font-size: 14px;
    }

        .alarmBox button:hover {
            background: #5a4760;
        }

        .schedule-table { border-collapse: collapse; width: 100%; margin-top: 5px; font-family: Verdana; }
        .schedule-table th, .schedule-table td { border: 1px solid #ccc; padding: 3px; text-align: left; font-size: 12pt; }


